#ifndef Laser_H
#define Laser_H

#include <Vec2.h>
#include <Welt2D.h>
using namespace Framework;

class Karte;

class Laser : public Object2D
{
private:
	int id;
	double intensity;
	int sNum;

public:
	// Konstruktor
	Laser( int id, Vec2< double > pos, Vec2< double > speed, int sNum, double intensity );
	// nicht constant
	bool tick( const WeltInfo &info, double tickVal ) override;
    void render( Mat3< float > &kamMat, Bild &zRObj ) override;
	// constant
    Rect2< float > getBoundingBox() const override;
    int getId() const;
	int getSpieler() const;
	double getIntensity() const;
};

#endif